#{extends 'border.html'/}
<div class="container-fluid">
#{form @katalog.PermohonanPembaruanCtr.formPenyediaSubmit(), method:'POST', class:'form-horizontal save', enctype:'multipart/form-data'}
    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li class="active">&{'detail_permohonan.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
                #{if showButtonSetujuTolakData && !showButtonSetujuTolakDisposisi}
                    <a href="#" onclick="openForm()" class="btn btn-success btn-md open-approval-data"><i
                            class="fa fa-calendar-check-o"></i> &{'verifikasi_data.label'}</a>
                #{/if}
                #{if showButtonSetujuTolakDisposisi }
                    <a href="#" onclick="openFormSetuju()" class="btn btn-danger btn-md open-approval-proses"><i
                            class="fa fa-check-circle"></i> &{'proses_persetujuan.label'}</a>
                #{/if}
            </div>
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
            #{alert/}
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="col-md-6">
                        <input type="hidden" name="penyedia.id" value="${penyedia?.id}">
                        <input type="hidden" name="permid" value="${permohonanPembaruan.id}">
                        <input type="hidden" name="permohonanPenyedia.user_id" value="${penyedia?.user_id}">
                        <div class="form-group">
                            <label class="col-md-12 control-label" style="text-align: center !important;">&{'warning_data_ori.label'}</label>
                        </div>
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'nama_penyedia.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyediaOri?.nama_penyedia}</p>
                                *{<input type="text" name="permohonanPenyedia.nama_penyedia"}*
                                       *{value="${penyediaOri?.nama_penyedia}" class="form-control alphanumeric" maxlength="100"}*
                                       *{style="background-color: white !important;" disabled>}*
                            </div>
                        </div>
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'alamat.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyediaOri?.alamat}</p>
                            *{<textarea name="permohonanPenyedia.alamat" class="form-control"}*
                                      *{style="background-color: white !important;" disabled>${penyediaOri?.alamat}</textarea>}*
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'kode_pos.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyediaOri?.kode_pos}</p>
                                *{<input type="text" name="permohonanPenyedia.kode_pos" value="${penyediaOri?.kode_pos}"}*
                                       *{class="form-control" style="background-color: white !important;" disabled>}*
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'nomor_telp.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyediaOri?.no_telp}</p>
                                *{<input type="text" name="permohonanPenyedia.no_telp" value="${penyediaOri?.no_telp}"}*
                                       *{class="form-control phone" style="background-color: white !important;" disabled>}*
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'nomor_fax.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyediaOri?.no_fax}</p>
                                *{<input type="text" name="permohonanPenyedia.no_fax" value="${penyediaOri?.no_fax}"}*
                                       *{class="form-control phone" style="background-color: white !important;" disabled>}*
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'nomor_selular.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyediaOri?.no_hp}</p>
                                *{<input type="text" name="permohonanPenyedia.no_hp" value="${penyediaOri?.no_hp}"}*
                                       *{class="form-control phone" style="background-color: white !important;" disabled>}*
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'npwp.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyediaOri?.npwp}</p>
                                *{<input type="text" id="npwpSatker" name="permohonanPenyedia.npwp" value="${penyediaOri?.npwp}"}*
                                       *{class="form-control" style="background-color: white !important;" disabled>}*
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'email.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyediaOri?.email}</p>
                                *{<input type="text" name="permohonanPenyedia.email" value="${penyediaOri?.email}"}*
                                       *{class="form-control email" style="background-color: white !important;" disabled>}*
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'nomor_pengukuhan_pkp.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyediaOri?.pkp}</p>
                                *{<input type="text" name="permohonanPenyedia.pkp" value="${penyediaOri?.pkp}"}*
                                       *{class="form-control" style="background-color: white !important;" disabled>}*
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'situs_web.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyediaOri?.website}</p>
                                *{<input type="text" name="permohonanPenyedia.website" value="${penyediaOri?.website}"}*
                                       *{class="form-control" style="background-color: white !important;" disabled>}*
                            </div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="col-md-12 control-label" style="text-align: center !important;">&{'warning_data_perubahan.label'}</label>
                        </div>
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'nama_penyedia.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyedia?.nama_penyedia}</p>
                                *{<input type="text" name="permohonanPenyedia.nama_penyedia"}*
                                       *{value="${penyedia?.nama_penyedia}" class="form-control alphanumeric" maxlength="100"}*
                                       *{style="background: transparent" disabled>}*
                            </div>
                        </div>
                        <div class="form-group required">
                            <label class="col-md-3 control-label">&{'alamat.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyedia?.alamat}</p>
                            *{<textarea name="permohonanPenyedia.alamat" class="form-control"}*
                                      *{disabled>${penyedia?.alamat}</textarea>}*
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'kode_pos.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyedia?.kode_pos}</p>
                                *{<input type="text" name="permohonanPenyedia.kode_pos" value="${penyedia?.kode_pos}"}*
                                       *{class="form-control" disabled>}*
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'nomor_telp.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyedia?.no_telp}</p>
                                *{<input type="text" name="permohonanPenyedia.no_telp" value="${penyedia?.no_telp}"}*
                                       *{class="form-control phone" disabled>}*
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'nomor_fax.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyedia?.no_fax}</p>
                                *{<input type="text" name="permohonanPenyedia.no_fax" value="${penyedia?.no_fax}"}*
                                       *{class="form-control phone" disabled>}*
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'nomor_selular.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyedia?.no_hp}</p>
                                *{<input type="text" name="permohonanPenyedia.no_hp" value="${penyedia?.no_hp}"}*
                                       *{class="form-control phone" disabled>}*
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'npwp.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyedia?.npwp}</p>
                                *{<input type="text" id="npwpSatker" name="permohonanPenyedia.npwp" value="${penyedia?.npwp}"}*
                                       *{class="form-control" disabled>}*
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'email.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyedia?.email}</p>
                                *{<input type="text" name="permohonanPenyedia.email" value="${penyedia?.email}"}*
                                       *{class="form-control email" disabled>}*
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'nomor_pengukuhan_pkp.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyedia?.pkp}</p>
                                *{<input type="text" name="permohonanPenyedia.pkp" value="${penyedia?.pkp}"}*
                                       *{class="form-control" disabled>}*
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label">&{'situs_web.label'}</label>
                            <div class="col-md-9">
                                <p> : ${penyedia?.website}</p>
                                *{<input type="text" name="permohonanPenyedia.website" value="${penyedia?.website}"}*
                                       *{class="form-control" disabled>}*
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
#{/form}
#{include 'katalog/ProdukCtr/permohonan/dialogPersetujuan.html'/}
</div>

#{validationPackage/}
#{set 'moreScripts'}
<script type="text/javascript" src="@{'public/javascripts/jquery.maskedinput.min.js'}"></script>
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"></script>
<script type="text/javascript">
    $(document).ready(function () {
        $('.form-horizontal').validate({
            highlight: function (element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function (element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });

        $("#npwpSatker").mask("99.999.999.9–999.999");
    });

    function openForm() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#tipe').val("data");
        $('#permId').val(${permohonanPembaruan?.id});
        //console.log($('#permId').val());
        $('#modalTitle').text("&{'form_persetujuan.label'} &{'verifikasi_data.label'}");
        $('#formPersetujuan').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function openFormSetuju() {
        // document.getElementById("pembatalanForm").style.display = "block";
        $('#tipe').val("proses");
        $('#permId').val(${permohonanPembaruan?.id});
        //console.log($('#permId').val());
        $('#modalTitle').text("&{'form.label'} &{'proses_persetujuan.label'}");
        $('#formPersetujuan').modal('show').find('.modal-body').load($(this).attr('href'));
    }

    function submitSetuju() {
        if ($('#alasan').val() == "") {
            showToast(0);
        } else if ($('#tipe').val() == "proses" && ($('#kirimKeUser').val() == "" || $('#kirimKeUser').val() == null)) {
            showToast(1);
        } else {
            var st = "setuju";
            $('#setujuTolak').val(st);
            $('#formSetuju').submit();
        }
    }

    function submitTolak() {
        if ($('#alasan').val() == "") {
            showToast(0);
        } else {
            var st = "tolak";
            $('#setujuTolak').val(st);
            $('#formSetuju').submit();
        }
    }

    function showToast(tipe) {
        if (tipe == 0){
            jQuery.toast({
                heading: "&{'peringatan.label'}",
                text: "&{'alasan_tidak_boleh_kosong.label'}",
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
        } else {
            jQuery.toast({
                heading: "&{'peringatan.label'}",
                text: "&{'alasan_user_tidak_boleh_kosong.label'}",
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
        }
    }
</script>
#{/set}